<?php
if ( ! class_exists( 'IPVicre_Db' )) {

    /**
     * Class for manage plugin database
     */
    class IPVicre_Db
    {
        /**
         * Take db version
         *
         * @var string
         */
        public $version = '1.0';
        
        /**
         * Class construct
         *
         * @return void
         */
        public function __construct()
        {
            global $ipvicre_db_version;
            $ipvicre_db_version = $this->version;
        }
        
        /**
         * Database query
         *
         * @return string
         */
        public function query_stats()
        {
            global $wpdb;
            
            $table_name = $wpdb->prefix . 'ipvicre_stats';
            $sql = "CREATE TABLE $table_name (
                        stat_id          int(11)             NOT NULL AUTO_INCREMENT,
                        page_id          int(11)             NOT NULL,
                        stat_date        datetime  DEFAULT '0000-00-00 00:00:00' NOT NULL,
                        stat_view        int(11)             NOT NULL,
                        stat_click       int(11)             NOT NULL,
                    PRIMARY KEY stat_id (stat_id),
                    KEY page_id (page_id)
            );";
            
            return $sql;
        }
        
        /**
         * Database query
         *
         * @return string
         */
        public function query()
        {
            $sql  = '';
            $sql .= $this->query_stats();
            return $sql;
        }
        
        /**
         * install
         *
         * @return void
         */
        public function install()
        {
            global $wpdb, $ipvicre_db_version;
            $installed_ver = get_option( "ipvicre_db_version" );
            
            if( ! $installed_ver || ( $installed_ver != $ipvicre_db_version ) ) {

                $sql = $this->query();

                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                dbDelta( $sql );

                update_option( "ipvicre_db_version", $ipvicre_db_version );
            }
        }
        
        /**
         * update
         *
         * @return void
         */
        public function update()
        {
            global $ipvicre_db_version;
            if ( get_site_option( 'ipvicre_db_version' ) != $ipvicre_db_version ) {
                $this->install();
            }
        }
    }

}
?>