/**
 * Menu control
 **/
(function($){

    $(document).ready(function() 
    {
        //Button On Off
        if ( $( '.ipbe-btn-onoff' ).length > 0 ) {
            $( '.ipbe-btn-onoff' ).ipbe_btn_onoff();
        }
        
        //Select/upload image
        if ( $( '.ipbe-upload-image' ).length > 0 ) {
            $( '.ipbe-upload-image' ).ipbe_select_image();
        }
        
        //Toggle
        if ( $( '.ipbe-toggle' ).length > 0 ) {
            $( '.ipbe-toggle' ).ipbe_toggle();
        }
        
        //Fancy Options
        if ( $( '.ipbe-fancy-option' ).length > 0 ) {
            $( '.ipbe-fancy-option' ).ipbe_fancy_option();
        }
        
        //Fade Menu
        if ( $( '.ipbe-fade-menu' ).length > 0 ) {
            $( '.ipbe-fade-menu' ).ipbe_fade_menu();
        }
        
        //Social option
        if ( $( '.ipbe-social-option' ).length > 0 ) 
        {
            $( '.ipbe-social-active a' ).ipbe_button_active();
            $( '#input-share-button-icon' ).ipbe_select_preview({
                cont_preview_selector:  '.ipbe-icon-preview',
                item_preview_class:     'ipbe-icon',
                root_image:             ipvicre_img_url + 'icon/',
                preview_data:
                [
                    'facebook',
                    'twitter',
                    'googleplus',
                    'pinterest'
                ]
            });
        }
        
        //Tab Menu
        $( '.ipbe-tab' ).ipbe_tab({
            after_click: function( idtab, root ){
                var content = $( '#'+idtab );
                var title   = $( '.ipbe-title-content', content ).clone().removeClass( 'ipbe-hide' );
                $( '.ipbe-tab-title', root ).html( title );
            },
            tab_init: function( idtab, root ) {
                var content = $( '#'+idtab );
                var title   = $( '.ipbe-title-content', content ).clone().removeClass( 'ipbe-hide' );
                $( '.ipbe-tab-title', root ).html( title );
            }
        });
        
        //Color picker
        if ( $('.ipvicre-color-picker').length > 0 ) {
            $('.ipvicre-color-picker').each( function() {
                var picker = $(this);
                picker.wpColorPicker({
                    change: function(event, ui){
                        picker.val( ui.color.toString() );
                    }
                });
            });
        }
        
        /*
         * Add video page handler
         */
        var form_add = new ip_form( '#ipvicre-form-add' );
        form_add.is_add = true;
        //Additional data
        form_add.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            return data;
        };
        form_add.init();
        
        /*
         * Update video page handler
         */
        var form_edit = new ip_form( '#ipvicre-form-update' );
        form_edit.init();
        
        /*
         * Delete video page
         */
        var ipvicre_delete_url = ajaxurl+'?doajax=1&ipvicre=1&action=ipvicre_delete';
        $( '.ipvicre-item-delete' ).ipbe_list_delete( ipvicre_delete_url );
        
        
        /*
         * Delete video item
         */
        var ipvicre_delete_video_url = ajaxurl+'?doajax=1&ipvicre=1&action=ipvicre_video_delete';
        $( '.ipvicre-video-delete' ).ipbe_list_delete( ipvicre_delete_video_url );
        
        /*
         * Add video button
         */
        $( '#ipvicre-add-video' ).ip_modal();
        
        /*
         * Add video
         */
        var form_addvid = new ip_form( '#ipvicre-add-video-form' );
        form_addvid.is_add = true;
        //Ajax success
        form_addvid.ajax_success = function( result, $this )
        {
            $( '.ui-message', $this.form ).remove();
            ip_ui.loader.hide();
            
            //Show message
            if ( result.status == 1 ) {
                //Hide modal
                var popup = $( '#ipvicre-modal-add-video' );
                ip_ui.modal.popup_hide( popup );
                
                //Insert video
                var video = $( result.video );
                video.height( 0 ).css( 'overflow', 'hidden' );
                //Delete event
                video.find( '.ipvicre-video-delete' ).ipbe_list_delete( ipvicre_delete_video_url );
                //Edit event
                var editbtn = video.find( '.ipvicre-video-edit' );
                if ( editbtn ) {
                    ipvicre_video_edit( editbtn );
                }
                
                $( '#ipvicre-manage-videos .ipbe-the-list' ).prepend( video );
                video.animate({height: '68px'}, 400);
            
                ip_ui.message.modal( result.message, 'alert-success' );
            } else {
                ip_ui.message.modal( result.message, 'alert-danger' );
            }
            $this.form[0].reset();
        };
        //Additional data
        form_addvid.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            var pageid = $( '#ipvicre-value-pageid' ).val();
            data += '&page='+pageid;
            
            return data;
        };
        form_addvid.init();
        
        /*
         * Edit video
         */
        if ( $('.ipvicre-video-edit').length > 0 ) {
            ipvicre_video_edit( $('.ipvicre-video-edit') );
        }
        function ipvicre_video_edit( button ) 
        {
            button.ip_modal_ajax({
                modalSelector: '#ipvicre-modal-edit-video',
                mainSelector: '.ipvicre-edit-modal-main',
                loaderUrl: ipvicre_img_url + 'loading.gif',
                getAjaxUrl: function( button )
                {
                    var url = ajaxurl + '?doajax=1&ipvicre=1&action=ipvicre_video_get_edit';
                    var id  = button.data( 'id' );
                    url += '&id=' + id;
                    
                    return url;
                },
                ajaxSuccess: function( result, button, popup, main )
                {
                    if ( result.length > 10 ) 
                    {
                        var content = $( result );
                        
                        //Cancel event
                        var cancelbtn = content.find( '.ipbe-modal-cancel' );
                        if ( cancelbtn ) {
                            cancelbtn.click( function(){
                                ip_ui.modal.popup_hide( popup );
                            });
                        }
                        main.html( content );
                        
                        //On Off event
                        content.find( '.ipbe-upload-image' ).ipbe_select_image();
                        content.find( '.ipbe-btn-onoff' ).ipbe_btn_onoff();
                        
                        //Submit event
                        var form_editvid = new ip_form( '#ipvicre-edit-video-form' );
                        form_editvid.is_add = false;
                        //Ajax success
                        form_editvid.ajax_success = function( result, $this )
                        {
                            $( '.ui-message', $this.form ).remove();
                            ip_ui.loader.hide();
                            
                            //Show message
                            if ( result.status == 1 ) {
                                //Change data list
                                var item = button.parents( '.ipbe-list-item' );
                                $( '.ipbe-item-title a', item ).text( result.title );
                                $( '.ipvicre-video-label', item ).html( result.label );
                                //Hide modal
                                var popup = $( '#ipvicre-modal-edit-video' );
                                ip_ui.modal.popup_hide( popup );
                                ip_ui.message.modal( result.message, 'alert-success' );
                            } else {
                                ip_ui.message.modal( result.message, 'alert-danger' );
                            }
                        };
                        //Additional data
                        form_editvid.additional_data = function( data )
                        {
                            var pageid = $( '#ipvicre-value-pageid' ).val();
                            data += '&page='+pageid;
                            
                            return data;
                        };
                        form_editvid.init();
                    } 
                    else
                    {
                        ip_ui.modal.popup_hide( popup );
                    }
                }
            });
        }
        
        /*
         * Sort video
         */
        if ( $( '#ipvicre-manage-videos' ).length > 0 ) {
            $( '#ipvicre-manage-videos .ipbe-the-list' ).sortable({
                update: function( event, ui ) 
                {
                    ipvicre_update_sort();
                },
                items: '.ipbe-list-item'
            });
        }
        function ipvicre_update_sort() 
        {
            var list = '';
            var root = $( '#ipvicre-manage-videos .ipbe-the-list' );
            $( '.ipbe-list-item', root ).each( function()
            {
                var id = $(this).attr( 'id' ).replace( 'ipvicre-item-', '' );
                list += id+',';
            });
            if ( list != '' ) 
            {
                var pageid = $( '#ipvicre-value-pageid' ).val();
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipvicre=1&action=ipvicre_video_sort',
                    type: "POST",
                    dataType: "json",
                    data: 'list='+list+'&page='+pageid,
                    success: function (result) {}
                });
            }
        }
        
        /*
         * Save settings
         */
        var form_setting = new ip_form( '#ipvicre-form-setting' );
        form_setting.init();
        
        /*
         * Input name
         */
        $( '#ipvicre-section-general #input-name' ).focusout( function()
        {
            var name   = $(this).val();
            var pageid = $( '#iptee-value-pageid' ).val();
            
            $.ajax({
                url: ajaxurl+'?doajax=1&ipvicre=1&action=ipvicre_get_slug',
                type: "POST",
                dataType: "json",
                data: 'name='+name+'&pageid='+pageid,
                success: function (result) 
                {
                    if ( result.status == '1' ) {
                        $( '#ipvicre-section-general #input-permalink' ).val( result.slug );
                    }
                }
            });
        });
        
        /*
         * Statistic
         */
        if ( $( '.ipbe-admin-stat' ).length > 0 ) {
            $( '.ipbe-admin-stat' ).ipbe_stats({
                chart_id: 'ipvicre-chart-div',
                ajax_url: ajaxurl+'?doajax=1&ipvicre=1&action=ipvicre_getchart'
            });
        }
    });
    
})(jQuery);