<?php
$st       = $this->setting;
$bgcolor  = $st->getSetting( 'top_content_bg_color', '#aaaaaa' );
$color    = $st->getSetting( 'top_content_text_color', '#333333' );
$font_opt = $st->getSetting( 'top_content_font_family', 'roboto' );
$family   = IPVicre_Font::getFamily( $font_opt );
$style    = ' style="background-color:' . $bgcolor . ';color:' . $color . ';font-family:' . $family . ';"';
?>
<div class="top-content"<?php echo $style; ?>>
    <div class="top-content-inner">
        <div class="container">
            <div class="row">
                <div class="col-md-5">
                    <?php
                    $type = $st->getSetting( 'preview_content', 'image' );
                    ?>
                    <div class="top-content-preview top-content-<?php echo $type; ?>">
                        <?php
                        if ( $type == 'image' )
                        {
                            $logo = '';
                            if ( $imgid = $st->getSetting( 'preview_content_image' ) ) 
                            {
                                $data = wp_get_attachment_image_src( $imgid, 'full' );
                                if ( ! empty( $data[0] )) {
                                    $logo = $data[0];
                                }
                            }
                            echo '<img src="' . $logo . '" alt="">';
                        }
                        elseif ( $type == 'video' )
                        {
                            $vidurl = $st->getSetting( 'preview_content_video' );
                            if ( $vidurl ) {
                                $vidurl = $this->fix_youtube_url( $vidurl );
                                echo '<iframe width="100%" height="300" src="' . $vidurl . '" frameborder="0" allowfullscreen></iframe>';
                            }
                        }
                        ?>
                    </div>
                </div>
                <div class="col-md-7">
                    <div class="top-content-main">
                        <?php
                        if ( $title = $st->getSetting( 'title' ) ) {
                            echo '<h2>' . $title . '</h2>';
                        }
                        
                        if ( $subtitle = $st->getSetting( 'subtitle' ) ) {
                            echo '<h3>' . $subtitle . '</h3>';
                        }
                        
                        if ( $info = $st->getSetting( 'info' ) ) {
                            echo '<div class="info">' . $info . '</div>';
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>